use super::tsv_util::from_sequence;
use serde::Deserialize;

#[derive(Deserialize, Default)]
#[serde(rename_all = "camelCase")]
pub struct AvatarSkillDepotData {
    pub id: u32,
    pub skill_depot_ability_group: String,
    #[serde(deserialize_with = "from_sequence")]
    pub sub_skills: Vec<u32>,
    pub talent_star_name: String,
    #[serde(deserialize_with = "from_sequence")]
    pub skills: Vec<u32>,
    #[serde(deserialize_with = "from_sequence")]
    pub talents: Vec<u32>,
    pub attack_mode_skill: u32,
    pub energy_skill: u32,
    pub leader_talent: u32,
}
